Subject: FVWM: Re: [FVWM] focus doesnt autoraise window?

From: Mikhael Goikhman <[email-masked]>
Date: Sat, 16 Dec 2000 18:00:36 -0600

> in my ~/.fvwm2rc config file i have the keybinding:
>     Key Tab    A    M4    Prev FlipFocus
>     Key Tab    A    M4S   Next FlipFocus
> 
> and therefore i expect when i do a META-TAB key stroke
> i will get another window's focus; and that i do. 
> However, the new window that has just got focus does
> not autoraise itself so can be left clutered
> underneath other windows.
> 
> the man page seems to suggest that flipfocus will
> autoraise the newly 'focus'd window.  can someone tell
> me if there is an additional config item i
> should/should not specify to resolve this.

I don't think the man page suggests anywhere that FlipFocus autoraises.
If you want this you should explicitely ask for it just like it's done in
the provided in the man page examples for UrgencyFunc and WindowListFunc:

  Key Tab    A    M4    Prev SelectWindow
  Key Tab    A    M4S   Next SelectWindow

  AddToFunc SelectWindow
  + I FlipFocus
  + I Raise
  + I WarpToWindow 50 9p  # optional

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].